Subject: bug#51240: [External] : bug#51240: 27.2; Binding find-library commands

From: Drew Adams <[email-masked]>
Date: Mon, 3 Jan 2022 23:32:22 +0000

> I answered all of these previously in this bug several months ago.

Yeah, it sounds familiar.  I wasn't sure whether I'd
registered my disagreement and asked for reasons.
Sorry for the noise.

I see now, checking.  Your reason is that this is
similar to what `find-function-setup-keys' gives,
for finding a function.  (I don't see much of a
connection between finding libraries and finding
functions, but so be it.)

But if the idea is to emulate the model of
`find-function-setup-keys', then such find-library
bindings should be _created only by command_, e.g.,
`find-library-setup-keys' - not by default.

I don't at all object to someone using a command
that creates such a set of key bindings.  I object
to such _default_ key bindings - for the reasons
I gave.

It's one thing for someone to explicitly request
some key bindings (interactively or init file),
and a command is a convenient way to do that.

It's quite another thing for Emacs to assign keys
by default.

> Juri and Lars agreed at the time, and I'm just
> trying to follow through to see the changes make it in.

On n'arrete pas le progres...